> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get features

> Retrieves the collection of Feature resources.



## OpenAPI

````yaml get /entitlement/features
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /entitlement/features:
    parameters: []
    get:
      tags:
        - Feature
      summary: Get features
      description: Retrieves the collection of Feature resources.
      operationId: getFeatures
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
        - name: id
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: id[]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
          allowReserved: false
        - name: name
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: description
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: status
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: status[]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
          allowReserved: false
        - name: type
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: type[]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
          allowReserved: false
        - name: search
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Feature collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Feature-FeatureRead'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Feature-FeatureRead'
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /entitlement/features \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Feature-FeatureRead:
      type: object
      description: Get all entitlement features.
      deprecated: false
      properties:
        id:
          description: >-
            The identifier of the feature, this can be a slug or a id. If not
            provided, it will be generated automatically. This must be unique.
          example: feature-1
          type: string
        name:
          description: >-
            The name of the feature. Examples: `number of users`, `disk usage`,
            `traffic`, `CRM integration`, `API access`.
          example: number of users
          type: string
        description:
          description: The description of the feature, shown in the admin-UI.
          example: >-
            This feature allows you to manage the number of users in your
            account.
          type:
            - string
            - 'null'
        status:
          description: >-
            The status of the feature.

            Draft: The feature is not yet published. Those can be used to create
            entitlements but they won't be available until activation.

            Active: The feature is available and can be used.

            Archived: The feature is no longer available and can't be used for
            **new** entitlements. Existing entitlements will still work.
            Archived features can be activated again.
          example: active
          type: string
          enum:
            - draft
            - active
            - archived
        type:
          description: >-
            The type of the feature.

            switch: The feature can be enabled or disabled for a subscription.
            You can add additional config options in the options key.

            custom: The levels of the feature can be fully customized. As an
            example, you can define a feature `SLA` with 3 levels: `basic`,
            `premium`, `enterprise`.

            quantity: The levels of the feature are based on a quantity. As an
            example, you can define a feature `number of users` with levels `5`,
            `10`, `25`, `50`, `100`. You can also provide a `unlimited` level.

            range: The value can be customized in a given range. As an example,
            you can define a feature `disk usage` with a range from `1GB` to
            `1000GB`, you can also provide a unlimited level to allow all
            values.
          example: switch
          type: string
          enum:
            - switch
            - custom
            - quantity
            - range
        config:
          description: >-
            The config of the feature. This is only required for the types
            `custom`, `quantity` and `range`.
          examples:
            switch:
              value:
                internalFeatureName: feature-1
              summary: Switch config example. This is optional for the type `switch`.
            custom:
              value:
                - value: basic
                  label: Basic
                - value: premium
                  label: Premium
                - value: enterprise
                  label: Enterprise
              summary: Custom levels
            quantity:
              value:
                - value: '5'
                  label: 5 users
                - value: '10'
                  label: 10 users
                - value: '25'
                  label: 25 users
                - value: '50'
                  label: 50 users
                - value: '100'
                  label: 100 users
                - value: unlimited
                  label: Unlimited users
              summary: Quantity levels
            range:
              value:
                from: '1'
                to: '1000'
              summary: Range levels
            range unlimited:
              value:
                from: '1'
                to: null
              summary: Range levels with unlimited
          oneOf:
            - title: Custom, quantity
              type: array
              items:
                type: object
                properties:
                  value:
                    type:
                      - string
                      - integer
                  label:
                    type: string
                required:
                  - value
                  - label
            - title: Range
              required:
                - from
                - to
              type: object
              properties:
                from:
                  type:
                    - integer
                    - 'null'
                to:
                  type:
                    - integer
                    - 'null'
        unit:
          readOnly: true
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````